• Русский
  • ModuleInfo [moduleinfoes.cluster.alauda.io/v1alpha1]

    Description
    ModuleInfo is the Schema for the moduleinfos API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ModuleInfoSpec defines the spec of ModuleInfo

    statusobject

    ModuleInfoStatus defines the observed state of ModuleInfo

    .spec

    Description
    ModuleInfoSpec defines the spec of ModuleInfo
    Type
    object
    Required
    version
    PropertyTypeDescription
    configobject

    Config stands for the user configs of the module instance

    entrypointstring

    Entrypoint stands for the entrypoint on the web GUI for this module instance

    selectedClusterobject

    SelectedCluster stands for the selected cluster of the module instance

    valuesOverrideobject

    ValuesOverride stands for the overrides for charts

    versionstring

    Version stands for the target version of the module

    .spec.config

    Description
    Config stands for the user configs of the module instance
    Type
    object

    .spec.selectedCluster

    Description
    SelectedCluster stands for the selected cluster of the module instance
    Type
    object

    .spec.valuesOverride

    Description
    ValuesOverride stands for the overrides for charts
    Type
    object

    .status

    Description
    ModuleInfoStatus defines the observed state of ModuleInfo
    Type
    object
    Required
    phaseversion
    PropertyTypeDescription
    appReleasesarray

    AppReleases stands for the module's app releases

    availableVersionsarray

    AvailableVersions stands for the available versions of the module can upgrade to.

    blockReasonsarray

    BlockReasons stands for the reasons blocked upgrade

    conditionsarray

    Conditions stands for the moudle's conditions

    moduleconfigSpecHashstring

    Hash stands for the has of ModuleConfig Spec

    phasestring

    Phase stands for the module's status

    removeIsPreventedboolean

    RemoveIsPrevented stands for you can not remove this plugin right now for some reason.

    specHashstring

    Hash stands for the has of ModuleInfo Spec

    transitTimeoutinteger

    TransitTimeout is the timeout duration for upgrade.

    transitTimestampstring

    TransitTimestamp stands for the timestamp of the version changed

    transitVersionstring

    TransitVersion stands for the module's transit version used for upgrade

    versionstring

    Version stands for the module's current version

    .status.appReleases

    Description
    AppReleases stands for the module's app releases
    Type
    array

    .status.appReleases[]

    Description
    AppReleaseStatus defines the status of the app release
    Type
    object
    Required
    failednamereadysynced
    PropertyTypeDescription
    chartVersionsarray
    failedboolean
    lastProbeTimestring
    messagestring
    namestring
    namespacestring
    readyboolean
    reasonstring
    syncedboolean

    .status.appReleases[].chartVersions

    Type
    array

    .status.appReleases[].chartVersions[]

    Description
    ChartVersion stands for chart version
    Type
    object
    Required
    namereleaseNameversion
    PropertyTypeDescription
    namestring

    Name stands for the chart's name

    releaseNamestring

    ReleaseName stands for the release name

    versionstring

    Version stands for the chart's version

    .status.availableVersions

    Description
    AvailableVersions stands for the available versions of the module can upgrade to.
    Type
    array

    .status.availableVersions[]

    Description
    ModuleAvailableVersion defines module's available upgrade version
    Type
    object
    Required
    descriptionriskLevelversion
    PropertyTypeDescription
    dependenciesarray

    Dependencies stands for the dependent modules

    descriptionstring

    Description stands for the description of uprading to this version

    descriptionEnstring

    DescriptionEn stands for the description of uprading to this version in English

    optionsobject

    Options stands for the options of uprading to this version

    riskLevelstring

    RiskLevel stands for the risk level of uprading to this version

    upgradeBeforearray

    UpgradeBefore stands for need upgrade before these mouldes

    versionstring

    Version stands for the version of the module can upgrade to

    .status.availableVersions[].dependencies

    Description
    Dependencies stands for the dependent modules
    Type
    array

    .status.availableVersions[].dependencies[]

    Description
    ModuleDependency defines the module's dependency
    Type
    object
    Required
    moduleName
    PropertyTypeDescription
    instanceNamestring

    InstanceName stands for the dependent module's ModuleInfo CR's name

    moduleNamestring

    ModuleName stands for the dependent module's name

    versionsMatcharray

    VersionMatch stands for the version requirements for the dependent module, any match will be acceptable.

    .status.availableVersions[].dependencies[].versionsMatch

    Description
    VersionMatch stands for the version requirements for the dependent module, any match will be acceptable.
    Type
    array

    .status.availableVersions[].dependencies[].versionsMatch[]

    Type
    string

    .status.availableVersions[].options

    Description
    Options stands for the options of uprading to this version
    Type
    object

    .status.availableVersions[].upgradeBefore

    Description
    UpgradeBefore stands for need upgrade before these mouldes
    Type
    array

    .status.availableVersions[].upgradeBefore[]

    Description
    ModuleRef defines the reference for the module
    Type
    object
    Required
    moduleName
    PropertyTypeDescription
    moduleNamestring

    ModuleName stands for the dependent module's name

    .status.blockReasons

    Description
    BlockReasons stands for the reasons blocked upgrade
    Type
    array

    .status.blockReasons[]

    Type
    string

    .status.conditions

    Description
    Conditions stands for the moudle's conditions
    Type
    array

    .status.conditions[]

    Description
    ModuleCondition defines the module's conditions
    Type
    object
    Required
    messagereasonstatustype
    PropertyTypeDescription
    lastProbeTimestring

    LastProbeTime stands for the timestamp to probe status

    lastTransitionTimestring

    LastTransitionTime stands for the timestamp of the status changed

    messagestring

    Message contains the detail information why in the current status

    reasonstring

    Reason contains the reason why in the current status

    statusstring

    Status stands for condition's status

    typestring

    Type stands for condition's type

    API Endpoints

    The following API endpoints are available:

    • /apis/cluster.alauda.io/v1alpha1/moduleinfos
      • DELETE: delete collection of ModuleInfo
      • GET: list objects of kind ModuleInfo
      • POST: create a new ModuleInfo
    • /apis/cluster.alauda.io/v1alpha1/moduleinfos/{name}
      • DELETE: delete the specified ModuleInfo
      • GET: read the specified ModuleInfo
      • PATCH: partially update the specified ModuleInfo
      • PUT: replace the specified ModuleInfo
    • /apis/cluster.alauda.io/v1alpha1/moduleinfos/{name}/status
      • GET: read status of the specified ModuleInfo
      • PATCH: partially update status of the specified ModuleInfo
      • PUT: replace status of the specified ModuleInfo

    /apis/cluster.alauda.io/v1alpha1/moduleinfos

    HTTP method
    DELETE
    Description
    delete collection of ModuleInfo
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ModuleInfo
    HTTP responses
    HTTP codeResponse body
    200 - OKModuleInfoList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ModuleInfo
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyModuleInfo schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKModuleInfo schema
    201 - CreatedModuleInfo schema
    202 - AcceptedModuleInfo schema
    401 - UnauthorizedEmpty

    /apis/cluster.alauda.io/v1alpha1/moduleinfos/{name}

    HTTP method
    DELETE
    Description
    delete the specified ModuleInfo
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ModuleInfo
    HTTP responses
    HTTP codeResponse body
    200 - OKModuleInfo schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ModuleInfo
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKModuleInfo schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ModuleInfo
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyModuleInfo schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKModuleInfo schema
    201 - CreatedModuleInfo schema
    401 - UnauthorizedEmpty

    /apis/cluster.alauda.io/v1alpha1/moduleinfos/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ModuleInfo
    HTTP responses
    HTTP codeResponse body
    200 - OKModuleInfo schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ModuleInfo
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKModuleInfo schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ModuleInfo
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyModuleInfo schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKModuleInfo schema
    201 - CreatedModuleInfo schema
    401 - UnauthorizedEmpty